diff -pruN 1.2-9/debian/changelog 1.2-9ubuntu1/debian/changelog
--- 1.2-9/debian/changelog	2011-07-27 06:03:17.000000000 +0000
+++ 1.2-9ubuntu1/debian/changelog	2011-08-15 21:50:27.000000000 +0000
@@ -1,3 +1,13 @@
+tuxguitar (1.2-9ubuntu1) oneiric; urgency=low
+
+  * Add back changes from 1.2-8ubuntu2 that were accidentally dropped
+    - add debian/patches/04-no-mozilla.patch
+    - drop xulrunner-1.9.1 from Depends
+  * This also finally fixes the installation issue mentioned in 
+    (LP: #811096)
+
+ -- Micah Gersten <micahg@ubuntu.com>  Mon, 15 Aug 2011 16:49:39 -0500
+
 tuxguitar (1.2-9) unstable; urgency=low
 
   * Update debian/control 
@@ -9,6 +19,20 @@ tuxguitar (1.2-9) unstable; urgency=low
 
  -- tony mancill <tmancill@debian.org>  Tue, 26 Jul 2011 22:59:03 -0700
 
+tuxguitar (1.2-8ubuntu2) oneiric; urgency=low
+
+  * No-change rebuild for fluidsynth (LP: #821346)
+
+ -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 05 Aug 2011 17:05:22 +0200
+
+tuxguitar (1.2-8ubuntu1) oneiric; urgency=low
+
+  * Merge from debian unstable. (LP: #797887) Remaining changes:
+    - add debian/patches/04-no-mozilla.patch
+    - drop xulrunner-1.9.1 from Depends
+
+ -- Paolo Sammicheli <xdatap1@ubuntu.com>  Sun, 03 Jul 2011 15:47:28 +0200
+
 tuxguitar (1.2-8) unstable; urgency=low
 
   * Update depend on swt-gtk 3.6 (Closes: #621864)
@@ -16,6 +40,34 @@ tuxguitar (1.2-8) unstable; urgency=low
 
  -- tony mancill <tmancill@debian.org>  Sat, 09 Apr 2011 23:08:37 -0700
 
+tuxguitar (1.2-7ubuntu2) natty; urgency=low
+
+  * Rebuild against new swt-gtk and replace mozilla depends with webkit
+    - FFe LP: #740815
+    - update debian/control
+  * Drop unneeded patches
+    - remove debian/patches/xulrunner-1.9.2.patch
+    - remove debian/patches/03-CVE-2010-3385.patch
+    - update debian/patches/series
+  * Drop the LD_LIBRARY_PATH kludge from the start script
+    - add debian/patches/03-no-mozilla.patch
+    - update debian/patches/series
+
+ -- Chris Coulson <chris.coulson@canonical.com>  Wed, 23 Mar 2011 11:15:10 +0000
+
+tuxguitar (1.2-7ubuntu1) natty; urgency=low
+
+  * SECURITY UPDATE: insecure library loading (LP: #660923)
+    - debian/patches/03-CVE-2010-3385.patch: Use shell expansion when setting
+      LD_LIBRARY_PATH.  Patch from Debian version 1.2-7
+    - CVE-2010-3385
+  * Merge from debian unstable.  Remaining changes:
+    - add debian/patches/xulrunner-1.9.2.patch
+      + misc/tuxguitar.sh: update to use xulrunner-1.9.2
+    - debian/control: Update depends to xulrunner-1.9.2
+
+ -- Micah Gersten <micahg@ubuntu.com>  Thu, 14 Oct 2010 22:37:06 -0500
+
 tuxguitar (1.2-7) unstable; urgency=medium
 
   * Apply patch for CVE-2010-3385 (Closes: #598307)
@@ -23,6 +75,15 @@ tuxguitar (1.2-7) unstable; urgency=medi
 
  -- tony mancill <tmancill@debian.org>  Tue, 12 Oct 2010 06:32:31 -0700
 
+tuxguitar (1.2-6ubuntu1) maverick; urgency=low
+
+  * Merge from debian unstable.  Remaining changes:
+    - add debian/patches/xulrunner-1.9.2.patch
+      + misc/tuxguitar.sh: update to use xulrunner-1.9.2
+    - debian/control: Update depends to xulrunner-1.9.2 
+
+ -- Micah Gersten <micahg@ubuntu.com>  Sun, 29 Aug 2010 01:39:54 -0500
+
 tuxguitar (1.2-6) unstable; urgency=low
 
   [ Philippe Coval ]
@@ -33,6 +94,20 @@ tuxguitar (1.2-6) unstable; urgency=low
 
  -- tony mancill <tmancill@debian.org>  Sun, 22 Aug 2010 21:56:54 -0700
 
+tuxguitar (1.2-5ubuntu2) maverick; urgency=low
+
+  * No change rebuild to pick up new j-a-c-k shlibs
+
+ -- Micah Gersten <micahg@ubuntu.com>  Wed, 21 Jul 2010 23:06:50 -0500
+
+tuxguitar (1.2-5ubuntu1) maverick; urgency=low
+
+  * Merge from debian unstable. (LP #604171) Remaining changes:
+    - misc/tuxguitar.sh: tuxguitar still looks for xulrunner-1.9.1 
+    - debian/control: Update depends to xulrunner-1.9.2 
+
+ -- Micah Gersten <micahg@ubuntu.com>  Sat, 10 Jul 2010 23:32:05 -0500
+
 tuxguitar (1.2-5) unstable; urgency=low
 
   * debian/tuxguitar.install:
@@ -40,6 +115,15 @@ tuxguitar (1.2-5) unstable; urgency=low
 
  -- tony mancill <tmancill@debian.org>  Tue, 06 Jul 2010 22:10:19 -0700
 
+tuxguitar (1.2-4ubuntu1) maverick; urgency=low
+
+  * Remerge accidentally omitted changes from previous sync: 
+    - misc/tuxguitar.sh: tuxguitar still looks for xulrunner-1.9.1 (LP: #544830)
+    - debian/control: Update depends to xulrunner-1.9.2 (LP: #536796)
+  * Update maintainer. 
+
+ -- Luke Faraone <luke@faraone.cc>  Fri, 28 May 2010 00:03:17 -0400
+
 tuxguitar (1.2-4) unstable; urgency=low
 
   * Address bashism in /usr/bin/tuxguitar (Closes: #581142) 
diff -pruN 1.2-9/debian/control 1.2-9ubuntu1/debian/control
--- 1.2-9/debian/control	2011-07-27 06:03:17.000000000 +0000
+++ 1.2-9ubuntu1/debian/control	2011-08-15 21:42:11.000000000 +0000
@@ -1,7 +1,8 @@
 Source: tuxguitar
 Section: sound
 Priority: optional
-Maintainer: Philippe Coval <rzr@gna.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Philippe Coval <rzr@gna.org>
 Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends: debhelper (>= 7), docbook-to-man, docbook-utils, quilt, ant, gcj-jdk, default-jdk | java2-compiler, libswt-gtk-3-java, libitext-java, libasound2-dev, libfluidsynth-dev
 Standards-Version: 3.9.2
@@ -12,7 +13,7 @@ Vcs-Browser: http://git.debian.org/?p=pk
 Package: tuxguitar
 Architecture: all
 Section: sound
-Depends: default-jre | java2-runtime, libitext-java, libswt-gtk-3-java, libswt-cairo-gtk-3-jni, libswt-webkit-gtk-3-jni, xulrunner-1.9.1, ${misc:Depends}
+Depends: default-jre | java2-runtime, libitext-java, libswt-gtk-3-java, libswt-cairo-gtk-3-jni, libswt-webkit-gtk-3-jni, ${misc:Depends}
 Recommends: tuxguitar-alsa (= ${source:Version}), tuxguitar-oss (= ${source:Version})
 Suggests: tuxguitar-jsa (= ${source:Version}), lilypond
 Description: Multitrack guitar tablature editor and player (gp3 to gp5)
diff -pruN 1.2-9/debian/patches/04-no-mozilla.patch 1.2-9ubuntu1/debian/patches/04-no-mozilla.patch
--- 1.2-9/debian/patches/04-no-mozilla.patch	1970-01-01 00:00:00.000000000 +0000
+++ 1.2-9ubuntu1/debian/patches/04-no-mozilla.patch	2011-08-15 21:41:18.000000000 +0000
@@ -0,0 +1,55 @@
+--- a/misc/tuxguitar.sh
++++ b/misc/tuxguitar.sh
+@@ -75,32 +75,6 @@ swt_guess_()
+     echo "$f"
+ }
+ 
+-#/// org.eclipse.swt.SWTError: No more handles
+-#/// [Unknown Mozilla path (MOZILLA_FIVE_HOME not set)]
+-mozilla_guess_()
+-{
+-    t="/usr/lib/mozilla"
+-    test -r "$t/libxpcom.so" && d="$t"
+-    t="/usr/lib/iceape/"
+-    test -r "$t/libxpcom.so" && d="$t"
+-    t="/usr/lib/icedove/"
+-    test -r "$t/libxpcom.so" && d="$t"
+-    t="/usr/lib/firefox/"
+-    test -r "$t/libxpcom.so" && d="$t"
+-    t="/usr/lib/iceweasel"
+-    test -r "$t/libxpcom.so" && d="$t"
+-    t="/usr/lib/xulrunner"
+-    test -r "$t/libxpcom.so" && d="$t"
+-    t="/usr/lib/xulrunner-1.9"
+-    test -r "$t/libxpcom.so" && d="$t"
+-    t="/usr/lib/xulrunner-`xulrunner-1.9.1 --gre-version`"
+-    test -r "$t/libxpcom.so" && d="$t"
+-    t="/usr/lib/xulrunner-1.9.1"
+-    test -r "$t/libxpcom.so" && d="$t"
+-    echo "$d"
+-}
+-
+-
+ #
+ env_()
+ {
+@@ -120,19 +94,6 @@ env_()
+         JAVA=${JAVA:=java}
+         export JAVA
+     fi
+-
+-# mozilla
+-    [ -z ${MOZILLA_FIVE_HOME} ] \
+-	&& t=$(mozilla_guess_) && [ -d "$t" ] && MOZILLA_FIVE_HOME=$t
+-    if [ -d "$MOZILLA_FIVE_HOME" ] ; then
+-        export MOZILLA_FIVE_HOME
+-        export LD_LIBRARY_PATH="${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH:}$MOZILLA_FIVE_HOME"
+-    else
+-        echo '$MOZILLA_FIVE_HOME not valid : check doc shipped w/ tuxguitar'
+-    fi
+-
+-    [ ! -z ${DEBUG} ] && echo "# MOZILLA_FIVE_HOME=${MOZILLA_FIVE_HOME}"
+-    [ ! -z ${DEBUG} ] && echo "# JAVA_HOME=${JAVA_HOME}"}
+ }
+ 
+ 
diff -pruN 1.2-9/debian/patches/series 1.2-9ubuntu1/debian/patches/series
--- 1.2-9/debian/patches/series	2011-07-27 06:03:17.000000000 +0000
+++ 1.2-9ubuntu1/debian/patches/series	2011-08-15 21:41:18.000000000 +0000
@@ -1,3 +1,4 @@
 01-tuxguitar-rzr.patch
 02-desktop.patch
 03-CVE-2010-3385.patch
+04-no-mozilla.patch
diff -pruN 1.2-9/misc/tuxguitar.sh 1.2-9ubuntu1/misc/tuxguitar.sh
--- 1.2-9/misc/tuxguitar.sh	2011-08-24 19:27:03.000000000 +0000
+++ 1.2-9ubuntu1/misc/tuxguitar.sh	2011-08-24 19:27:04.000000000 +0000
@@ -76,32 +76,6 @@ swt_guess_()
     echo "$f"
 }
 
-#/// org.eclipse.swt.SWTError: No more handles
-#/// [Unknown Mozilla path (MOZILLA_FIVE_HOME not set)]
-mozilla_guess_()
-{
-    t="/usr/lib/mozilla"
-    test -r "$t/libxpcom.so" && d="$t"
-    t="/usr/lib/iceape/"
-    test -r "$t/libxpcom.so" && d="$t"
-    t="/usr/lib/icedove/"
-    test -r "$t/libxpcom.so" && d="$t"
-    t="/usr/lib/firefox/"
-    test -r "$t/libxpcom.so" && d="$t"
-    t="/usr/lib/iceweasel"
-    test -r "$t/libxpcom.so" && d="$t"
-    t="/usr/lib/xulrunner"
-    test -r "$t/libxpcom.so" && d="$t"
-    t="/usr/lib/xulrunner-1.9"
-    test -r "$t/libxpcom.so" && d="$t"
-    t="/usr/lib/xulrunner-`xulrunner-1.9.1 --gre-version`"
-    test -r "$t/libxpcom.so" && d="$t"
-    t="/usr/lib/xulrunner-1.9.1"
-    test -r "$t/libxpcom.so" && d="$t"
-    echo "$d"
-}
-
-
 #
 env_()
 {
@@ -121,19 +95,6 @@ env_()
         JAVA=${JAVA:=java}
         export JAVA
     fi
-
-# mozilla
-    [ -z ${MOZILLA_FIVE_HOME} ] \
-	&& t=$(mozilla_guess_) && [ -d "$t" ] && MOZILLA_FIVE_HOME=$t
-    if [ -d "$MOZILLA_FIVE_HOME" ] ; then
-        export MOZILLA_FIVE_HOME
-        export LD_LIBRARY_PATH="${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH:}$MOZILLA_FIVE_HOME"
-    else
-        echo '$MOZILLA_FIVE_HOME not valid : check doc shipped w/ tuxguitar'
-    fi
-
-    [ ! -z ${DEBUG} ] && echo "# MOZILLA_FIVE_HOME=${MOZILLA_FIVE_HOME}"
-    [ ! -z ${DEBUG} ] && echo "# JAVA_HOME=${JAVA_HOME}"}
 }
 
 
diff -pruN 1.2-9/.pc/04-no-mozilla.patch/misc/tuxguitar.sh 1.2-9ubuntu1/.pc/04-no-mozilla.patch/misc/tuxguitar.sh
--- 1.2-9/.pc/04-no-mozilla.patch/misc/tuxguitar.sh	1970-01-01 00:00:00.000000000 +0000
+++ 1.2-9ubuntu1/.pc/04-no-mozilla.patch/misc/tuxguitar.sh	2011-08-24 19:27:04.000000000 +0000
@@ -0,0 +1,178 @@
+#! /bin/sh
+#@ident "$Id: tuxguitar.sh,v 1.3 2008/04/16 17:04:50 rzr Exp $"
+#@Author: www.philippe.coval.online.fr -- revision: $Author: rzr $
+#@Licence: LGPL
+#@Description: Wrapper script for starting java application tuxguitar
+###############################################################################
+PACKAGE="tuxguitar"
+[ ! -z $DEBUG ] && set -e
+[ ! -z $DEBUG ] && set -x
+
+#/// guess JAVA_HOME if undefined
+java_guess_()
+{
+    d="/opt/java/"
+    [ -d "$t" ] && d="$t"
+    d="/usr/local/opt/java/"
+    [ -d "$t" ] && d="$t"
+# windows
+    t="C:\\Program\ Files\\Java\\jre1.6.0_03/"
+    [ -d "$t" ] && d="$t"
+    t="\\Program\ Files\\Java\\jre1.6.0_03/"
+    [ -d "$t" ] && d="$t"
+    t="/Program\ Files/Java/jre1.6.0_03/"
+    [ -d "$t" ] && d="$t"
+# macosx
+    t="/System/Library/Frameworks/JavaVM.framework/Versions/CurrentJDK/Home/"
+    [ -d "$t" ] && d="$t"
+# opensuse
+    t="/etc/profile.d/alljava.sh"
+    [ -r $t ] && . $t && echo ${JAVA_HOME} && return
+    t="/usr/lib/jvm/java"
+    [ -d "$t" ] && d="$t"
+    t="/usr/lib64/jvm/java"
+    [ -d "$t" ] && d="$t"
+# mandriva
+    t="/usr/lib/jvm/jre-1.6.0-sun/bin/../"
+    [ -d "$t" ] && d="$t"
+# gentoo
+    t="/opt/sun-jdk-1.5.0.14/"
+    [ -d "$t" ] && d="$t"
+    t="/opt/sun-jdk-1.6.0.04/"
+    [ -d "$t" ] && d="$t"
+# debian
+    if [ -r /etc/debian_version  ]; then
+        t="/usr/lib/jvm/java-gcj/jre/bin/../../"
+        [ -d "$t" ] && d="$t"
+        t="/usr/lib/jvm/java-1.5.0-sun/jre/bin/../../"
+        [ -d "$t" ] && d="$t"
+        t="/usr/lib/jvm/java-6-sun/jre/bin/../../"
+        [ -d "$t" ] && d="$t"
+        t="/usr/lib/jvm/java-6-openjdk/jre/bin/../../"
+        [ -d "$t" ] && d="$t"
+    fi
+# results
+    [ -d "$d" ] && echo "$d"
+}
+
+# last match wins (no short-circuit evaluation)
+swt_guess_()
+{
+    t="/usr/lib/eclipse/plugins/org.eclipse.swt.gtk.linux.*.jar"
+    [ -r "$t" ] && f="$t"
+    t="/usr/lib/java/swt3.2-gtk.jar"
+    [ -r "$t" ] && f="$t"
+    t="/usr/share/java/swt-gtk-3.4.jar"
+    [ -r "$t" ] && f="$t"
+    t="/usr/lib/java/swt-gtk-3.5.1.jar"
+    [ -r "$t" ] && f="$t"
+    t="/etc/alternatives/swt.jar"
+    [ -r "$t" ] && f="$t"
+    t="/usr/share/java/swt.jar"
+    [ -r "$t" ] && f="$t"
+    t="/usr/lib/java/swt.jar"
+    [ -r "$t" ] && f="$t"
+    file -L "$f" >/dev/null 2>&1 || f=""
+    echo "$f"
+}
+
+#/// org.eclipse.swt.SWTError: No more handles
+#/// [Unknown Mozilla path (MOZILLA_FIVE_HOME not set)]
+mozilla_guess_()
+{
+    t="/usr/lib/mozilla"
+    test -r "$t/libxpcom.so" && d="$t"
+    t="/usr/lib/iceape/"
+    test -r "$t/libxpcom.so" && d="$t"
+    t="/usr/lib/icedove/"
+    test -r "$t/libxpcom.so" && d="$t"
+    t="/usr/lib/firefox/"
+    test -r "$t/libxpcom.so" && d="$t"
+    t="/usr/lib/iceweasel"
+    test -r "$t/libxpcom.so" && d="$t"
+    t="/usr/lib/xulrunner"
+    test -r "$t/libxpcom.so" && d="$t"
+    t="/usr/lib/xulrunner-1.9"
+    test -r "$t/libxpcom.so" && d="$t"
+    t="/usr/lib/xulrunner-`xulrunner-1.9.1 --gre-version`"
+    test -r "$t/libxpcom.so" && d="$t"
+    t="/usr/lib/xulrunner-1.9.1"
+    test -r "$t/libxpcom.so" && d="$t"
+    echo "$d"
+}
+
+
+#
+env_()
+{
+    t="/etc/default/${PACKAGE}/env.sh"
+    [ -r "$t" ] && . "$t"
+
+    t="/etc/${PACKAGE}/env.sh"
+    [ -r "$t" ] && . "$t"
+
+# java
+    [ -z ${JAVA_HOME} ] && t=$(java_guess_) && [ -d "$t" ] && JAVA_HOME="$t"
+    if [ -d "${JAVA_HOME}" ] ; then
+        export JAVA_HOME
+        JAVA="${JAVA:=${JAVA_HOME}/jre/bin/java}"
+        [ -x ${JAVA} ] && export JAVA
+    else
+        JAVA=${JAVA:=java}
+        export JAVA
+    fi
+
+# mozilla
+    [ -z ${MOZILLA_FIVE_HOME} ] \
+	&& t=$(mozilla_guess_) && [ -d "$t" ] && MOZILLA_FIVE_HOME=$t
+    if [ -d "$MOZILLA_FIVE_HOME" ] ; then
+        export MOZILLA_FIVE_HOME
+        export LD_LIBRARY_PATH="${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH:}$MOZILLA_FIVE_HOME"
+    else
+        echo '$MOZILLA_FIVE_HOME not valid : check doc shipped w/ tuxguitar'
+    fi
+
+    [ ! -z ${DEBUG} ] && echo "# MOZILLA_FIVE_HOME=${MOZILLA_FIVE_HOME}"
+    [ ! -z ${DEBUG} ] && echo "# JAVA_HOME=${JAVA_HOME}"}
+}
+
+
+tuxguitar_()
+{
+    local PACKAGE=${PACKAGE:=tuxguitar}
+    local PACKAGE_HOME=${PACKAGE_HOME:=/usr/share/${PACKAGE}/}
+    local PACKAGE_MAIN=${PACKAGE_MAIN:=org.herac.tuxguitar.gui.TGMain}
+    local PACKAGE_LIB=${PACKAGE_LIB:=/usr/lib/jni}
+# java env
+    JAVA=${JAVA:=java}
+    CLASSPATH=${CLASSPATH}
+    t="${PACKAGE_HOME}"
+    [ -d "$t" ] && CLASSPATH=${CLASSPATH}:$t
+    t="${PACKAGE_HOME}/${PACKAGE}.jar"
+    [ -r "$t" ] && CLASSPATH=${CLASSPATH}:$t
+    t="/usr/share/java/itext.jar"
+    [ -r "$t" ] && CLASSPATH=${CLASSPATH}:$t
+    t=$(swt_guess_)
+    [ -r "$t" ] && CLASSPATH=${CLASSPATH}:$t
+
+    JAVA_FLAGS=${JAVA_FLAGS:="-Xms128m -Xmx128m"}
+    JAVA_FLAGS=" ${JAVA_FLAGS} \
+        -Djava.library.path=${PACKAGE_LIB} \
+        -D${PACKAGE}.share.path=/usr/share/${PACKAGE} \
+        -cp ${CLASSPATH}:${PACKAGE_CLASSPATH} \
+        "
+    local arg=""
+    [ -z "$1" ] && arg="/usr/share/tuxguitar/tuxguitar.tg"
+# run java
+    [ ! -z ${DEBUG} ] && ${JAVA} -version
+    [ ! -z ${DEBUG} ] && ${JAVA} ${JAVA_FLAGS} ${PACKAGE_MAIN} --version
+
+    ${JAVA} ${JAVA_FLAGS} ${PACKAGE_MAIN} $arg "$@"
+}
+
+# main
+
+env_
+tuxguitar_ "$@"
+
+#eof
diff -pruN 1.2-9/.pc/applied-patches 1.2-9ubuntu1/.pc/applied-patches
--- 1.2-9/.pc/applied-patches	2011-08-24 19:27:03.000000000 +0000
+++ 1.2-9ubuntu1/.pc/applied-patches	2011-08-24 19:27:04.000000000 +0000
@@ -1,3 +1,4 @@
 01-tuxguitar-rzr.patch
 02-desktop.patch
 03-CVE-2010-3385.patch
+04-no-mozilla.patch

